### Method

# Gtk Statusbar get_context_id

#### Declaration [src]

    guint
    gtk_statusbar_get_context_id (
      GtkStatusbar* statusbar,
      const char* context_description
    )

#### Description [src]

Returns a new context identifier, given a description of the actual context.

Note that the description is not shown in the UI.

#### Parameters

`context_description` | `const char*`
| Textual description of what context the new message is being used in.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `guint`
| An integer id.